Update Custom Section Item
curl --request PATCH \
--url https://api.mokaru.ai/v1/custom-section-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"subtitle": "<string>",
"organization": "<string>",
"location": "<string>",
"description": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/custom-section-items/{id}"
payload = {
"title": "<string>",
"subtitle": "<string>",
"organization": "<string>",
"location": "<string>",
"description": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
subtitle: '<string>',
organization: '<string>',
location: '<string>',
description: '<string>',
startDate: '<string>',
endDate: '<string>',
url: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/custom-section-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Sections
Update Custom Section Item
Update an item within a custom CV section
PATCH
/
v1
/
custom-section-items
/
{id}
Update Custom Section Item
Overview
Update an existing item. Only provided fields are modified. Passnull to clear a field.
Scope required:
custom-sections:write | Rate limit: 20 requests/minRequest
PATCH /v1/custom-section-items/cli...
Content-Type: application/json
Path Parameters
string
required
Item id
Body Parameters
All fields are optional and nullable.string
Item title
string
Item subtitle
string
Organisation
string
Location
string
Description
string
Free-text date or YYYY-MM-DD
string
Free-text date or YYYY-MM-DD
string
URL
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "cli..."
}
Was this page helpful?
⌘I
